### Enumeration

# Hitaki EfwProtocolError

#### Declaration

    error-domain Hitaki.EfwProtocolError

#### Description [src]

The enumerations to report status of response in Fireworks protocol.

#### Members

`HITAKI_EFW_PROTOCOL_ERROR_OK`

  The transaction finished successfully.

  - Value: `0`
  - Available since: 0.0
`HITAKI_EFW_PROTOCOL_ERROR_BAD`

  The request or response includes invalid header.

  - Value: `1`
  - Available since: 0.0
`HITAKI_EFW_PROTOCOL_ERROR_BAD_COMMAND`

  The request includes invalid category or command.

  - Value: `2`
  - Available since: 0.0
`HITAKI_EFW_PROTOCOL_ERROR_COMM_ERR`

  The transaction fails due to communication error.

  - Value: `3`
  - Available since: 0.0
`HITAKI_EFW_PROTOCOL_ERROR_BAD_QUAD_COUNT`

  The number of quadlets in transaction is invalid.

  - Value: `4`
  - Available since: 0.0
`HITAKI_EFW_PROTOCOL_ERROR_UNSUPPORTED`

  The request is not supported.

  - Value: `5`
  - Available since: 0.0
`HITAKI_EFW_PROTOCOL_ERROR_TIMEOUT`

  The transaction is canceled due to response timeout.

  - Value: `6`
  - Available since: 0.0
`HITAKI_EFW_PROTOCOL_ERROR_DSP_TIMEOUT`

  The operation for DSP did not finish within timeout.

  - Value: `7`
  - Available since: 0.0
`HITAKI_EFW_PROTOCOL_ERROR_BAD_RATE`

  The request includes invalid value for sampling frequency.

  - Value: `8`
  - Available since: 0.0
`HITAKI_EFW_PROTOCOL_ERROR_BAD_CLOCK`

  The request includes invalid value for source of clock.

  - Value: `9`
  - Available since: 0.0
`HITAKI_EFW_PROTOCOL_ERROR_BAD_CHANNEL`

  The request includes invalid value for the number of channel.

  - Value: `10`
  - Available since: 0.0
`HITAKI_EFW_PROTOCOL_ERROR_BAD_PAN`

  The request includes invalid value for panning.

  - Value: `11`
  - Available since: 0.0
`HITAKI_EFW_PROTOCOL_ERROR_FLASH_BUSY`

  The on-board flash is busy and not operable.

  - Value: `12`
  - Available since: 0.0
`HITAKI_EFW_PROTOCOL_ERROR_BAD_MIRROR`

  The request includes invalid value for mirroring channel.

  - Value: `13`
  - Available since: 0.0
`HITAKI_EFW_PROTOCOL_ERROR_BAD_LED`

  The request includes invalid value for LED.

  - Value: `14`
  - Available since: 0.0
`HITAKI_EFW_PROTOCOL_ERROR_BAD_PARAMETER`

  The request includes invalid value of parameter.

  - Value: `15`
  - Available since: 0.0
`HITAKI_EFW_PROTOCOL_ERROR_INCOMPLETE`

  The transaction finishes incompletely.

  - Value: `-2147483648`
  - Available since: 0.0
`HITAKI_EFW_PROTOCOL_ERROR_INVALID`

  The transaction finished with invalid condition.

  - Value: `-1`
  - Available since: 0.0

#### Type functions

###### hitaki_efw_protocol_error_quark

Return the `GQuark` for `GError` with code in Hitaki.EfwProtocolError enumerations.

###### hitaki_efw_protocol_error_to_label

Retrieve the string label of error.